Subject: [bug#30960] [PATCH 0/4] Switch to font-build-system

From: ng0 <[email-masked]>
Date: Tue, 27 Mar 2018 13:47:21 +0000

Arun Isaac transcribed 585 bytes:
> ng0 <[email-masked]> writes:
> 
> > Arun Isaac transcribed 430 bytes:
> >> If someone could do a quick sanity check on these patches, I'll push.
> >
> > What does that mean? Did you not build them? Or just a simple request
> > for review?
> 
> I built all packages successfully. This is just a request to check
> commit messages, point out any simple typos, etc.

Okay

> > I know I had my reasons for not using font-build-system with lato, but
> > maybe you succeeded.
> 
> Yes, I was able to build font-lato using the font-build-system. If you
> have an issue with using the font-build-system, do let me know.

So I applied all your patches, all except lato built without errors.
Lato:

...
phase `install-license-files' succeeded after 0.0 seconds
starting phase `reset-gzip-timestamps'
find-files: /gnu/store/8zr56l7gh1rh76l8gdyy2j5hn84r56nv-font-lato-2.010: No such file or directory
phase `reset-gzip-timestamps' succeeded after 0.0 seconds
starting phase `compress-documentation'
phase `compress-documentation' succeeded after 0.0 seconds
builder for `/gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv' failed to produce output path `/gnu/store/8zr56l7gh1rh76l8gdyy2j5hn84r56nv-font-lato-2.010'
@ build-failed /gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv - 1 builder for `/gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv' failed to produce output path `/gnu/store/8zr56l7gh1rh76l8gdyy2j5hn84r56nv-font-lato-2.010'
guix build: error: build failed: build of `/gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv' failed

Which could be what I experienced when I first tried to build it with the font-build-system
and then switched to what it uses now in master.

> Thanks!